aagc.vo

## Class GetPianoTerapeuticoRequest

- java.lang.Object
- - aagc.vo.GetPianoTerapeuticoRequest

-     public class GetPianoTerapeuticoRequest
      extends java.lang.Object

  Classe Java per getPianoTerapeuticoRequest complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="getPianoTerapeuticoRequest">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="codiceFiscaleAssistibile" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="16"/>
                     <pattern value="([a-zA-Z]{6}[0-9 L M N P Q R S T U V]{2}[a-zA-Z]{1}[0-9 L M N P Q R S T U V]{2}[a-zA-Z]{1}[0-9 L M N P Q R S T U V]{3}[a-zA-Z]{1}|[0-9]{11})?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codiceSTPENIAssistibile" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="16"/>
                     <pattern value="((STP|ENI)[0-9]{13})?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="dataValidita">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codiceMinisterialeFarmaco">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <minLength value="1"/>
                     <pattern value="[a-zA-Z0-9]*"/>
                     <maxLength value="10"/>
                   </restriction>
                 </simpleType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `codiceFiscaleAssistibile`
    `protected java.lang.String` | `codiceMinisterialeFarmaco`
    `protected java.lang.String` | `codiceSTPENIAssistibile`
    `protected java.lang.String` | `dataValidita`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetPianoTerapeuticoRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodiceFiscaleAssistibile()` Recupera il valore della proprietà codiceFiscaleAssistibile.
    `java.lang.String` | `getCodiceMinisterialeFarmaco()` Recupera il valore della proprietà codiceMinisterialeFarmaco.
    `java.lang.String` | `getCodiceSTPENIAssistibile()` Recupera il valore della proprietà codiceSTPENIAssistibile.
    `java.lang.String` | `getDataValidita()` Recupera il valore della proprietà dataValidita.
    `void` | `setCodiceFiscaleAssistibile(java.lang.String value)` Imposta il valore della proprietà codiceFiscaleAssistibile.
    `void` | `setCodiceMinisterialeFarmaco(java.lang.String value)` Imposta il valore della proprietà codiceMinisterialeFarmaco.
    `void` | `setCodiceSTPENIAssistibile(java.lang.String value)` Imposta il valore della proprietà codiceSTPENIAssistibile.
    `void` | `setDataValidita(java.lang.String value)` Imposta il valore della proprietà dataValidita.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codiceFiscaleAssistibile

          protected java.lang.String codiceFiscaleAssistibile

    - #### codiceSTPENIAssistibile

          protected java.lang.String codiceSTPENIAssistibile

    - #### dataValidita

          protected java.lang.String dataValidita

    - #### codiceMinisterialeFarmaco

          protected java.lang.String codiceMinisterialeFarmaco

  - ### Constructor Detail

    - #### GetPianoTerapeuticoRequest

          public GetPianoTerapeuticoRequest()

  - ### Method Detail

    - #### getCodiceFiscaleAssistibile

          public java.lang.String getCodiceFiscaleAssistibile()

      Recupera il valore della proprietà codiceFiscaleAssistibile.
      Returns:
        possible object is `String`

    - #### setCodiceFiscaleAssistibile

          public void setCodiceFiscaleAssistibile(java.lang.String value)

      Imposta il valore della proprietà codiceFiscaleAssistibile.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodiceSTPENIAssistibile

          public java.lang.String getCodiceSTPENIAssistibile()

      Recupera il valore della proprietà codiceSTPENIAssistibile.
      Returns:
        possible object is `String`

    - #### setCodiceSTPENIAssistibile

          public void setCodiceSTPENIAssistibile(java.lang.String value)

      Imposta il valore della proprietà codiceSTPENIAssistibile.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataValidita

          public java.lang.String getDataValidita()

      Recupera il valore della proprietà dataValidita.
      Returns:
        possible object is `String`

    - #### setDataValidita

          public void setDataValidita(java.lang.String value)

      Imposta il valore della proprietà dataValidita.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodiceMinisterialeFarmaco

          public java.lang.String getCodiceMinisterialeFarmaco()

      Recupera il valore della proprietà codiceMinisterialeFarmaco.
      Returns:
        possible object is `String`

    - #### setCodiceMinisterialeFarmaco

          public void setCodiceMinisterialeFarmaco(java.lang.String value)

      Imposta il valore della proprietà codiceMinisterialeFarmaco.
      Parameters:
        `value` - allowed object is `String`